Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QDragEnterEvent

    java.lang.Object
      com.trolltech.qt.internal.QSignalEmitterInternal
          com.trolltech.qt.QSignalEmitter
              com.trolltech.qt.QtJambiObject
                  com.trolltech.qt.core.QEvent
                      com.trolltech.qt.gui.QDropEvent
                          com.trolltech.qt.gui.QDragMoveEvent
                              com.trolltech.qt.gui.QDragEnterEvent

All Implemented Interfaces:
  QtJambiInterface

    public class QDragEnterEvent

extends QDragMoveEvent

The `QDragEnterEvent` class provides an event which is sent to a widget when a drag and drop action enters it. A widget must accept this event in order to receive the `drag move events` that are sent while the drag and drop action is in progress. The drag enter event is always immediately followed by a drag move event.

`QDragEnterEvent` inherits most of its functionality from `QDragMoveEvent`, which in turn inherits most of its functionality from `QDropEvent`.

See also:
  `QDragLeaveEvent`, `QDragMoveEvent`, and `QDropEvent`.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.core.QEvent
`QEvent.Type`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Nested classes/interfaces inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`com.trolltech.qt.internal.QSignalEmitterInternal.AbstractSignalInternal`

Field Summary

Fields inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`currentSender`

Constructor Summary
`QDragEnterEvent(QPoint pos, Qt.DropActions actions, QMimeData data, Qt.MouseButtons buttons, Qt.KeyboardModifier[] modifiers)` Constructs a `QDragEnterEvent` that represents a drag entering a widget at the given `point` with mouse and keyboard states specified by `buttons` and `modifiers`.
`QDragEnterEvent(QPoint pos, Qt.DropActions actions, QMimeData data, Qt.MouseButtons buttons, Qt.KeyboardModifiers modifiers)` Constructs a `QDragEnterEvent` that represents a drag entering a widget at the given `point` with mouse and keyboard states specified by `buttons` and `modifiers`.

Method Summary
`java.lang.String` | `toString()` Returns a string representation of the `this QDragEnterEvent`.

Methods inherited from class com.trolltech.qt.gui.QDragMoveEvent
`accept, answerRect, ignore, rect, setRect`

Methods inherited from class com.trolltech.qt.gui.QDropEvent
`acceptProposedAction, act, default_action, drop_action, dropAction, keyboardModifiers, mdata, mimeData, modState, mouseButtons, mouseState, p, pos, possibleActions, proposedAction, setAct, setDefault_action, setDrop_action, setDropAction, setModState, setMouseState, setP, source`

Methods inherited from class com.trolltech.qt.core.QEvent
`accept, ignore, isAccepted, registerEventType, registerEventType, setAccepted, setT, spontaneous, t, type`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`__qt_signalInitialization`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QDragEnterEvent

    public QDragEnterEvent(QPoint pos,
                           Qt.DropActions actions,
                           QMimeData data,
                           Qt.MouseButtons buttons,
                           Qt.KeyboardModifier[] modifiers)

  Constructs a `QDragEnterEvent` that represents a drag entering a widget at the given `point` with mouse and keyboard states specified by `buttons` and `modifiers`.

  The drag data is passed as MIME-encoded information in `data`, and the specified `actions` describe the possible types of drag and drop operation that can be performed.

  Warning: Do not create a `QDragEnterEvent` yourself since these objects rely on Qt's internal state.

### QDragEnterEvent

    public QDragEnterEvent(QPoint pos,
                           Qt.DropActions actions,
                           QMimeData data,
                           Qt.MouseButtons buttons,
                           Qt.KeyboardModifiers modifiers)

  Constructs a `QDragEnterEvent` that represents a drag entering a widget at the given `point` with mouse and keyboard states specified by `buttons` and `modifiers`.

  The drag data is passed as MIME-encoded information in `data`, and the specified `actions` describe the possible types of drag and drop operation that can be performed.

  Warning: Do not create a `QDragEnterEvent` yourself since these objects rely on Qt's internal state.

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representation of the `this QDragEnterEvent`.

  Overrides:
    `toString` in class `QDragMoveEvent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD